﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PV178.Lecture1.HelloUniverse
{
    class Program
    {
        static void Main(string[] args)
        {
            HelloWorldSimple();

            // HelloWorldAdvanced();
        }

        private static void HelloWorldSimple()
        {
            string name;
            do
            {
                Console.Write("Zadejte sve jmeno: ");
                name = Console.ReadLine();
            }
            while (name == "");

            Console.WriteLine("Ahoj " + name);
        }

        private static void HelloWorldAdvanced()
        {
            string name;
            do
            {
                Console.Write("Zadejte sve jmeno: ");
                name = Console.ReadLine();
            }
            while (string.IsNullOrWhiteSpace(name)); // Tentokrát neprojde například ani mezera.

            // S Console.WriteLine může používat i formátování u jako string.Format().
            Console.WriteLine("Ahoj {0}!", name); 
        }
    }
}
